enumerator Struct Reference

## Data Fields

VALUE | obj
ID | meth
VALUE | args
VALUE | fib
VALUE | dst
VALUE | lookahead
VALUE | feedvalue
VALUE | stop_exc

## Detailed Description

Definition at line 104 of file enumerator.c.

## Field Documentation

VALUE enumerator::args

Definition at line 107 of file enumerator.c.

Referenced by enumerator_block_call(), enumerator_init(), enumerator_init_copy(), enumerator_mark(), and inspect_enumerator().

VALUE enumerator::dst

Definition at line 109 of file enumerator.c.

Referenced by enumerator_init(), enumerator_mark(), enumerator_rewind(), get_next_values(), and next_init().

VALUE enumerator::feedvalue

Definition at line 111 of file enumerator.c.

Referenced by enumerator_feed(), enumerator_init(), enumerator_init_copy(), enumerator_mark(), enumerator_rewind(), get_next_values(), and next_ii().

VALUE enumerator::fib

Definition at line 108 of file enumerator.c.

Referenced by enumerator_init(), enumerator_init_copy(), enumerator_mark(), enumerator_rewind(), get_next_values(), and next_init().

VALUE enumerator::lookahead

Definition at line 110 of file enumerator.c.

Referenced by enumerator_init(), enumerator_init_copy(), enumerator_mark(), enumerator_next_values(), enumerator_peek_values(), enumerator_rewind(), get_next_values(), and next_init().

ID enumerator::meth

Definition at line 106 of file enumerator.c.

Referenced by enumerator_block_call(), enumerator_init(), enumerator_init_copy(), enumerator_initialize(), inspect_enumerator(), and obj_to_enum().

VALUE enumerator::obj

Definition at line 105 of file enumerator.c.

Referenced by enumerator_allocate(), enumerator_block_call(), enumerator_each(), enumerator_init(), enumerator_init_copy(), enumerator_mark(), enumerator_ptr(), enumerator_rewind(), and inspect_enumerator().

VALUE enumerator::stop_exc

Definition at line 112 of file enumerator.c.

Referenced by enumerator_init(), enumerator_mark(), enumerator_rewind(), get_next_values(), and next_i().

The documentation for this struct was generated from the following file:

- enumerator.c